Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041037
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminoralways2019-06-05 17:502019-06-12 13:00
Reportersalvador_campanellaView Statuspublic 
Assigned Tononofrancisco 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revisionf90da150f6a7
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041037: In Simple G/L Journal window the field Period doesn't correspond with the Accounting Date field

DescriptionThe value of the field Period is by default selected on the first period of the organization
Steps To Reproduce1.- go to simple G/L Journal window
2.- create a new record.


You will find that the period value is by default as the first period of the first year instead of the accounting date.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0112493)
nonofrancisco (developer)
2019-06-06 22:30

Test Plan

As Openbravo/F&B International Group Admin
Open Simple G/L Journal window
Create a new record
Verify the period matches the accounting date

Open G/L Journal window
Select a record
Go to Header tab
Create a new record
Verify the period matches the accounting date
(0112590)
hgbot (developer)
2019-06-12 08:33

Repository: erp/devel/pi
Changeset: f90da150f6a738ea1b523b323fdeb8c9a194d823
Author: Nono Carballo <nonofce <at> gmail.com>
Date: Thu Jun 06 15:59:31 2019 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/f90da150f6a738ea1b523b323fdeb8c9a194d823 [^]

Fixes issue 41037: Fixes default value of Period column.

The query to get default value of Period column in GL_Journal table was fixed

---
M src-db/database/sourcedata/AD_COLUMN.xml
---
(0112591)
Sandrahuguet (developer)
2019-06-12 08:39

code review + testing ok
(0112633)
hudsonbot (developer)
2019-06-12 13:00

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/e330da816783 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-06-05 17:50 salvador_campanella New Issue
2019-06-05 17:50 salvador_campanella Assigned To => platform
2019-06-05 17:50 salvador_campanella Modules => Core
2019-06-05 17:50 salvador_campanella Triggers an Emergency Pack => No
2019-06-06 10:13 alostale Assigned To platform => Triage Finance
2019-06-06 10:13 alostale Category A. Platform => 09. Financial management
2019-06-06 10:57 Sandrahuguet Severity major => minor
2019-06-06 10:57 Sandrahuguet Assigned To Triage Finance => nonofrancisco
2019-06-06 22:30 nonofrancisco Status new => scheduled
2019-06-06 22:30 nonofrancisco Note Added: 0112493
2019-06-12 08:33 hgbot Checkin
2019-06-12 08:33 hgbot Note Added: 0112590
2019-06-12 08:33 hgbot Status scheduled => resolved
2019-06-12 08:33 hgbot Resolution open => fixed
2019-06-12 08:33 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/f90da150f6a738ea1b523b323fdeb8c9a194d823 [^]
2019-06-12 08:39 Sandrahuguet Review Assigned To => Sandrahuguet
2019-06-12 08:39 Sandrahuguet Note Added: 0112591
2019-06-12 08:39 Sandrahuguet Status resolved => closed
2019-06-12 08:39 Sandrahuguet Fixed in Version => 3.0PR19Q3
2019-06-12 13:00 hudsonbot Checkin
2019-06-12 13:00 hudsonbot Note Added: 0112633


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker